Colony Scout - Task #1877

Wireless on ARM
10/26/2011 04:43 PM - Priyanka Deo

Status: Assigned
Priority: Normal
Assignee: Ben Wasserman
Category: oS

Target version:

Start date:
Due date:

% Done:

Estimated time:

10/26/2011
11/16/2011
10%

0.00 hour

Description
Control wireless broadcasts using ARM

History

#1 - 10/26/2011 05:50 PM - Ben Wasserman
- Due date set to 11/16/2011

- Assignee set to Ben Wasserman

#2 - 11/07/2011 06:05 PM - Ben Wasserman
- % Done changed from 0 to 10

All the wireless will be handled by the AVR, not the ARM. I'm planning on using the library David Schultz and | were writing 2 years ago during

Formation Control. | think it should be this way because the Zigbee chip is built into the AVR, and also so we don't bog down the ARM interfacing with

it.

We had written most of it, and were in the process of testing. It was fairly reliable, but had some issues that we were still hunting down when the

semester ended.

The new library also incorporates TCP-like reliability functionality, but this had not been implemented yet, due to the unresolved bugs in the main
functionality. David says that the current state is already more reliable than the current Colony 3 wireless library, but I'd like to try to work out the bugs
before trying to implement them. Mostly, I'd like to ensure that the library won't crash or break itself. Once that is done, I'd say move on to reliability

features.

Since the interaction of AVR and Zigbee is very similar between Scout and Colony 3, then we can probably do development on the Colony 3 bots

before we port it over to Scout.
